org.fmph.knet.infection

## Enum HealthStatus

- java.lang.Object
- - java.lang.Enum<HealthStatus>
  - - org.fmph.knet.infection.HealthStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HealthStatus>

      public enum HealthStatus
      extends java.lang.Enum<HealthStatus>

  Zdravotny stav jedinca.
  Pre potreby dalsich simulacii mozno doplnit nove stavy
  Author:
    peter nather

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMMUNE`
    `INFECTED`
    `NORMAL`
    `UNDEFINED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HealthStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HealthStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final HealthStatus NORMAL

    - #### INFECTED

          public static final HealthStatus INFECTED

    - #### IMMUNE

          public static final HealthStatus IMMUNE

    - #### UNDEFINED

          public static final HealthStatus UNDEFINED

  - ### Method Detail

    - #### values

          public static HealthStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HealthStatus c : HealthStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HealthStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null